# Sprout Invoices
Create estimates and invoices within your WordPress site. Accept invoice payments from multiple payment processors.

Our mission at [Sprout Apps](https://sproutapps.co/) is to build a suite of apps to help small businesses and freelancers work more efficiently by reducing those tedious tasks we have to perform to get paid.


## Sprout Invoice Features

Make sure to checkout the [Sprout Invoices](https://sproutapps.co/sprout-invoices/) features page for more detailed information. As well as the full featured [demo](https://sproutapps.co/demo/playground).

* An awesome [estimate & invoice workflow](https://sproutapps.co/news/what-sprout-invoices-solves-for-freelancers-and-wordpress-sites/). 
* The best [payment experience](https://sproutapps.co/news/sprout-invoices-payment-options-deposits-checks-authorizations/) for your clients with options for them to pay via Check, PO or [Paypal](https://sproutapps.co/marketplace/paypal-payments-express-checkout/) (additional gateways available).
* Unlimited Invoices, Estimates and Clients. No restrictions!
* Fully [customizable templates](https://sproutapps.co/support/knowledgebase/sprout-invoices/customizing-templates/) with your own theme.
* Localization support for your language!
* [Payment management](https://sproutapps.co/support/knowledgebase/sprout-invoices/payments/).
* [Advanced Reporting](https://sproutapps.co/support/knowledgebase/sprout-invoices/reports/) (limited w/ free version)
* [Client management](https://sproutapps.co/support/knowledgebase/sprout-invoices/clients/).
* [Freshbooks, Harvest and WP-Invoice Importing](https://sproutapps.co/news/feature-spotlight-import-freshbooks-harvest-wp-invoice/).
* Fully [customizable notifications](https://sproutapps.co/support/knowledgebase/sprout-invoices/notifications/). Notifications are sent from your server and allow for plain-text and HTML.
* [Deposit payments](https://sproutapps.co/news/feature-spotlight-invoice-deposits/) (premium upgrade)
* [Nested line items](https://sproutapps.co/news/feature-spotlight-nested-invoice-line-items/).
* [Advanced records](https://sproutapps.co/support/knowledgebase/sprout-invoices/tools/) with any extra tables!
* Includes a [customizable estimates/lead generation form](https://sproutapps.co/support/knowledgebase/sprout-invoices/advanced/customize-estimate-submission-form/).
* Integrates with [Gravity Forms, Ninja Forms and more](https://sproutapps.co/marketplace/advanced-form-integration-gravity-ninja-forms/) (premium upgrade).
* Accept [Stripe Payments](https://sproutapps.co/marketplace/stripe-payments/) (paid add-on or premium upgrade)
* Improved user experience with AJAX.
* Taxes
* Client records with multiple points of contact
* Pre-defined tasks/line-items
* No extra database tables!

The short list...

* Time tracking (coming soon)
* Recurring payments (coming soon)
* Payment terms (coming soon)

Please note that this feature list is incomplete, since it's long enough.


**[Download the most advanced Estimates and Invoicing plugin!](http://downloads.wordpress.org/plugin/sprout-invoices.zip)**

**A [fully featured upgrade](https://sproutapps.co/sprout-invoices/) and [add-on marketplace](https://sproutapps.co/marketplace/) are available.**


### Flexibility built in

While Sprout Invoices automates many of the tasks to improve workflow the power comes from customization.

*Custom Estimate and Invoice Templates*
Estimates can be fully customized via a new theme template. If you're familiar with customizing a WordPress theme templates than you can create a custom estimate.

*Notification Editing*
Notifications can be plain-text or HTML. Editing the entire content of a notification is simple with shortcodes that add dynamic content.

*Plenty of Payment Methods*
Accept credit cards via Paypal Pro or send them to Paypal for invoice payments. P.O. and checks options are also provided.

*Hundreds of Hooks*
Over two hundred filters and actions allow you to hook into Sprout Invoices and alter whatever you'd like.


### The Sprout Invoices Process

Sprout Invoices helps streamline the complex workflow of accepting estimates and getting invoices paid.

#### Requests

Receiving estimate requests on your site is simplified with Sprout Invoices. Use the customizable default form or integrate with an existing form built a favorite form builder plugin, e.g. Gravity Forms or Ninja Forms.

#### Estimating

Estimates are automatically created based on estimate request submissions from your site. Review, update, and send the estimate to your new client without having to depend on communicating via email first.


#### Invoicing

Invoices are automatically generated from accepted estimates speeding up the process of getting paid. Sprout Invoices understands deposit payments and doesn't have the same hoops other invoice services require.

### Installation

1. Upload plugin folder to the `/wp-content/plugins/` directory
1. Activate the plugin through the 'Plugins' menu in WordPress

### Frequently Asked Questions

**Please visit [Sprout Apps](https://sproutapps.co/sprout-invoices/).**

**Support**

More info coming soon.
